<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width
		initial-scale=1">

		<!-- Changes the Title of the page -->
		<title>Activity 1</title>
	</head>
	<body>
		<em>Science and Engineering Ethics (2001) 7,231-238</em>  
		<hr>

		<h1>Software Engineering Code of Ethics and Professional Practice</h1>

		<h2>IEEE-CS/ACM Joint Task Force on Software Engeneering Ethics and Proffesional Practice</h2>

		<hr>

		<strong>Keywords: </strong> code of ethics,professional responsibility engineering

		<h2>PREAMBLE</h2>

		<p>The short version of the code summaerizes aspirations at a high level of abstration. The clauses that are included in the full version give examples and detail of how these aspirations change the way we act as software engineering professionals. Without aspiritions, the details can become legalistic and tedius; withou the details, the aspirations can become high-sounding but empty;together, the aspiritaions and the details form a cohesive code.</p>


		<p>Software engineers shall commit themselve to making the analysis, specification,design,development,testing, and maintanance of a software a beneficaial and respected profession. In accorance with their commitment to the health,safety,and welfare of the public. software engineers shall adhere to the following eight Principles.</p>

		<h2>PRINCIPLES</h2>

		<ol>
			<li><em>Public,</em> Software engineers shall act consistently with the public interest.</li>
			<li><em>Client and employer,</em> Software engineers shall act in a manner that is in the best interests of their clients and employer,consistent with the public interest.</li>
			<li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional standards posible.</li>
			<li><em>Judgement.</em> Software engineer shall maintain integrity and independence in their professional judgement.</li>
			<li><em>Management.</em> Software engineering managers and leaders shall subsribe to promote and ethical to the mangement of the software development and maintenance.</li>
			<li><em>Proffesion.</em> Software engineering managers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
			<li><em>Collegues.</em> Software engineers shall be fair to and supportive of their collegues.</li>
			<li><em>Self.</em>Software enfgineers shall participate in lifelong learning regarding the practice the profession and shall promote an ethical approach to the professio.</li>
			
		</ol>
	</body><em></em>
</html>